<template>
    <div class="barra-busqueda">
        <img class="barra-busqueda_imagen" src="../assets/Logo_ML.png">
        <form class="barra-busqueda-buscador" action="/items" method="get">
          <input type="search" name="search" id="search" placeholder="Nunca dejes de buscar" class="barra-busqueda-buscador_entrada-texto">
          <button type="submit" class="barra-busqueda-buscador_boton"><img src="../assets/ic_Search.png"></button>
        </form>
    </div>
</template>

<script>
export default {
  name: "BarraBusqueda"
};
</script>

<style lang="scss">
@import "../styles/main.scss";
  .barra-busqueda {
    background-color: $yellow;
    color: $dark-gray;
    display: grid;
    grid-template-columns: 5% auto;
    grid-template-rows: 100%;
    grid-column-gap: 15px;
    padding: 10px 8.33%;

    &_imagen {
      width: 100%;
    }

    &-buscador {
      display: grid;
      grid-template-columns: auto 5%;
      grid-template-rows: 100%;
      &_entrada-texto {
        border: 0;
        padding: 5px 15px;
        background-color: $white;
        color: $dark-gray;
        font-size: 18px;
      }
      &_boton {
        border: 0;
        background-color: $light-gray;
        color: $dark-gray
      }
    }
  }
</style>
